KEYCTL_CLEAR(3)

NAME
keyctl_clear - clear a keyring

SYNOPSIS
#include <keyutils.h>

long keyctl_clear(key_serial_t keyring);

DESCRIPTION
keyctl_clear() clears the contents of a keyring.

The caller must have write permission on a keyring to be able to clear it.

RETURN VALUE
On success keyctl_clear() returns 0. On error, the value -1 will be returned and errno will have been set to an appropriate error.

ERRORS

ENOKEY
    The keyring specified is invalid.

EKEYEXPIRED
    The keyring specified has expired.

EKEYREVOKED
    The keyring specified had been revoked.

EACCES
    The keyring exists, but is not writable by the calling process.

LINKING
This is a library function that can be found in libkeyutils. When linking, -lkeyutils should be specified to the linker.

SEE ALSO
keyctl(1), add_key(2), keyctl(2), request_key(2), keyctl(3), keyrings(7), keyutils(7)